GeoIndexUpdaterService
Date: 2012-06-28

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.indexmanagement.geoindexupdater
Class GeoIndexUpdaterService

    java.lang.Object
      org.gcube.indexmanagement.geoindexupdater.GeoIndexUpdaterService

    public class GeoIndexUpdaterService

extends java.lang.Object

GeoIndexBatchUpdaterService implements functionality needed to update a Geographical Index. Every GeoIndexUpdaterService instance (resource) must be connected to one, and only one GeoIndexManagementService instance (resource), though many GeoIndexUpdater instances may be connected to one GeoIndexManagement instance. The index can then be updated by connecting the GeoIndexUpdater to one or more remote ResultSets containing ROWSETs of the documents to be indexed.

Version:
  0.1

Constructor Summary
`GeoIndexUpdaterService()` Constructor - sets up some variables and creates a logging instance

Method Summary
`VOID` | `add(Add add)` Inserts an array of geographical objects (envelopes) into an index.
`VOID` | `process(java.lang.Process arguments)` Inserts ResultSet of ROWSETS information into an index.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeoIndexUpdaterService

    public GeoIndexUpdaterService()

  Constructor - sets up some variables and creates a logging instance

Method Detail

### add

    public VOID add(Add add)
             throws GCUBEFault

  Inserts an array of geographical objects (envelopes) into an index.

  Parameters:
    `add` - `Add` - a stub containing the array of envelopes to be inserted
  Returns:
    `AddResponse` - empty object.
  Throws:
    `GCUBEFault`

### process

    public VOID process(java.lang.Process arguments)
                 throws GCUBEFault

  Inserts ResultSet of ROWSETS information into an index.

  Parameters:
    `arguments` - `Process` - object containing the ResultSet EPR and an optional indication of whether to destroy the updater resource after the ResultSet has been indexed (which default to false).
  Returns:
    `ProcessResponse` - empty object.
  Throws:
    `GCUBEFault`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD